> For the complete documentation index, see [llms.txt](https://docs.geeknums.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geeknums.io/kuresel-telefon-operatoru-sorgulama.md).

# Küresel Telefon Operatörü Sorgulama

Küresel telefon operatörü sorgulama hizmeti; milyarlarca kayda, güncel verilere ve yüksek doğruluğa sahiptir.

> Kod örneği:

```bash
curl --location --request POST 'https://api.checknumber.ai/v1/phone' \--header 'Content-Type: application/x-www-form-urlencoded' \--header 'X-API-Key: AbcdEfgh' \--data-urlencode 'number=628138800001&country=ID'
```

> Başarılı istek için yanıt örneği

```json
{  "status": "ok",  "message": {    "country_code": 62,    "national_number": 8138800001,    "is_valid_number": true,    "number_type": "MOBILE",    "e164": "+628138800001",    "region_code": "ID",    "location": {      "en": ""    },    "time_zones": ["Asia/Jakarta"],    "carrier": {      "en": "AXIS"    }  }}
```

> Hatalı istek için yanıt örneği

```json
{  "status": "FAIL",  "message": "The phone number supplied is not a number."}
```

## HTTP isteği

`POST https://api.checknumber.ai/v1/phone`

## İstek parametreleri

| parameter | deskripsi                                     |
| --------- | --------------------------------------------- |
| `number`  | `string`, telefon numarası                    |
| `country` | `string`, Endonezya için `ID` gibi bölge kodu |

## Durum kodu

| status | deskripsi                                             |
| ------ | ----------------------------------------------------- |
| `OK`   | `free`, başarılı                                      |
| `FAIL` | `free`, başarısız; hata iletisi `message` alanındadır |

## Telefon numarası alanları

| bidang            | deskripsi                           |
| ----------------- | ----------------------------------- |
| country\_code     | Endonezya için `62` gibi ülke kodu  |
| national\_number  | Ulusal arama numarası               |
| is\_valid\_number | Numaranın geçerli olup olmadığı     |
| number\_type      | Numara türü: `MOBILE`, `FIXED_LINE` |
| e164              | E.164 biçimindeki numara            |
| region\_code      | Endonezya için `ID` gibi bölge kodu |
| location          | Konum, *çok dilli*                  |
| time\_zones       | Saat dilimleri                      |
| carrier           | Hizmet sağlayıcı, *çok dilli*       |

## Telefon numarası türleri

| jenis                  | deskripsi                                                                                                               |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| `MOBILE`               | Cep telefonu                                                                                                            |
| `FIXED_LINE`           | Sabit telefon                                                                                                           |
| `FIXED_LINE_OR_MOBILE` | Cep telefonu veya sabit telefon; *bazı ülkelerde yalnızca numaradan sabit ve mobil hatları ayırt etmek mümkün değildir* |
| `SHARED_COST`          | <http://en.wikipedia.org/wiki/Shared_Cost_Service>                                                                      |
| `VOIP`                 | VOIP                                                                                                                    |
| `PERSONAL_NUMBER`      | <http://en.wikipedia.org/wiki/Personal_Numbers>                                                                         |
| `UNKNOWN`              | Bilinmiyor                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geeknums.io/kuresel-telefon-operatoru-sorgulama.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
